Index: trunk/vizservers/nanovis/Command.h
===================================================================
--- trunk/vizservers/nanovis/Command.h	(revision 829)
+++ trunk/vizservers/nanovis/Command.h	(revision 829)
@@ -0,0 +1,4 @@
+#ifndef __COMMAND_H__
+#define  __COMMAND_H__
+
+#endif
Index: trunk/vizservers/nanovis/config.h
===================================================================
--- trunk/vizservers/nanovis/config.h	(revision 828)
+++ trunk/vizservers/nanovis/config.h	(revision 829)
@@ -14,4 +14,6 @@
  */
 
+#ifndef __CONFIG_H__
+#define __CONFIG_H__
 
 #define NV40 	  //Uncomment if using 6 series card. By default we assume older card the 5xxx series
@@ -19,2 +21,4 @@
 //#define EVENTLOG  //enable event logging
 //#define DO_RLE  //do run length compression
+
+#endif 
Index: trunk/vizservers/nanovis/nanovis.cpp
===================================================================
--- trunk/vizservers/nanovis/nanovis.cpp	(revision 828)
+++ trunk/vizservers/nanovis/nanovis.cpp	(revision 829)
@@ -55,8 +55,4 @@
 #include "Grid.h"
 
-//#define  _LOCAL_ZINC_TEST_
-//
-// FOR testing new functions
-//#include "Test.h"
 
 // R2 headers
@@ -122,4 +118,9 @@
 bool axis_on = true;
 
+// in Command.cpp
+extern void xinetd_listen();
+extern void initTcl();
+
+
 // forward declarations
 //void init_particles();
@@ -155,5 +156,4 @@
 // pointers to volumes, currently handle up to 10 volumes
 vector<Volume*> volume;
-
 vector<HeightMap*> g_heightMap;
 vector<PointSet*> g_pointSet;
@@ -178,4 +178,39 @@
 
 extern R2Fonts* g_fonts;
+
+// FOR NANOVIS.H
+//variables for mouse events
+float live_rot_x = 90.;		//object rotation angles
+float live_rot_y = 180.;
+float live_rot_z = -135;
+
+float live_obj_x = -0.0;	//object translation location from the origin
+float live_obj_y = -0.0;
+float live_obj_z = -2.5;
+
+float live_diffuse = 1.;
+float live_specular = 3.;
+
+int left_last_x, left_last_y, right_last_x, right_last_y; 	//last locations mouse events
+bool left_down = false;						
+bool right_down = false;
+
+float lic_slice_x=0, lic_slice_y=0, lic_slice_z=0.3;//image based flow visualization slice location
+
+int win_width = NPIX;			//size of the render window
+int win_height = NPIX;			//size of the render window
+
+
+//image based flow visualization variables
+int    iframe = 0; 
+int    Npat   = 64;
+int    alpha  = (int)round(0.12*255);
+float  sa;
+float  tmax   = NPIX/(SCALE*NPN);
+float  dmax   = SCALE/NPIX;
+
+
+//currently active shader, default renders one volume only
+int cur_shader = 0;
 
 /*
